<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/navigation_main"
    app:startDestination="@id/fragment_splash">

    <fragment
        android:id="@+id/fragment_splash"
        android:name="com.appetiser.testapp.features.main.SplashFragment"
        android:label="fragment_splash"
        tools:layout="@layout/fragment_splash"
        app:popUpTo="@id/fragment_splash"
        app:popUpToInclusive="true">

        <action
            android:id="@+id/action_to_fragment_track_detail"
            app:destination="@+id/fragment_track_detail"/>

        <action
            android:id="@+id/action_to_fragment_list"
            app:destination="@+id/fragment_list"/>

    </fragment>

    <fragment
        android:id="@+id/fragment_list"
        android:name="com.appetiser.testapp.features.main.ListFragment"
        android:label="fragment_list"
        tools:layout="@layout/fragment_list">

        <action
            android:id="@+id/action_to_fragment_track_detail"
            app:destination="@+id/fragment_track_detail"
            app:enterAnim="@anim/slide_from_right"
            app:exitAnim="@anim/slide_to_left"
            app:popEnterAnim="@anim/slide_from_left"
            app:popExitAnim="@anim/slide_to_right"
            app:popUpTo="@id/fragment_list"
            app:popUpToInclusive="true"/>

    </fragment>

    <fragment
        android:id="@+id/fragment_track_detail"
        android:name="com.appetiser.testapp.features.main.TrackDetailFragment"
        android:label="fragment_track_detail"
        tools:layout="@layout/fragment_track_detail">

        <action
            android:id="@+id/action_to_fragment_list"
            app:destination="@+id/fragment_list"
            app:enterAnim="@anim/slide_from_left"
            app:exitAnim="@anim/slide_to_right"
            app:popUpTo="@id/fragment_track_detail"
            app:popUpToInclusive="true"/>

    </fragment>

</navigation>